#include "stdafx.h"
#include "WinFinger.h"
#include "HostDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

CHostDlg::CHostDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CHostDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CHostDlg)
	m_sHost = _T("");
	m_sUser = _T("");
	m_bVerbose = FALSE;
	//}}AFX_DATA_INIT
}

void CHostDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CHostDlg)
	DDX_Text(pDX, IDC_HOST, m_sHost);
	DDX_Text(pDX, IDC_USER, m_sUser);
	DDX_Check(pDX, IDC_VERBOSE, m_bVerbose);
	//}}AFX_DATA_MAP

  if (pDX->m_bSaveAndValidate)
  {
    if (m_sHost.IsEmpty())
    {
      pDX->PrepareEditCtrl(IDC_HOST);
      AfxMessageBox(IDS_REQUIRE_HOSTNAME);
      pDX->Fail();
    }
  }
}

BEGIN_MESSAGE_MAP(CHostDlg, CDialog)
	//{{AFX_MSG_MAP(CHostDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

